# Do not tests things we do not deploy
tempest.api.network.test_fwaas
tempest.api.network.test_load_balancer
tempest.api.network.admin.test_load_balancer
tempest.scenario.test_load_balancer
tempest.network.admin.test_lbaas
tempest.api.network.test_vpnaas
tempest.thirdparty.boto.test_s3

tempest.api.network.admin.test_lbaas_agent_scheduler.LBaaSAgentSchedulerTestJSON
tempest.api.network.admin.test_lbaas_agent_scheduler.LBaaSAgentSchedulerTestXML

# Failed to investigate
tempest.api.compute.admin.test_live_migration_negative.LiveMigrationNegativeTest.test_live_block_migration_suspended
tempest.api.compute.admin.test_services.ServicesAdminTestJSON.test_get_service_by_service_and_host_name
tempest.api.compute.admin.test_server_diagnostics_negative.ServerDiagnosticsNegativeTest.test_get_server_diagnostics_by_non_admin

tempest.api.compute.servers.test_list_server_filters.ListServerFiltersTestJSON
tempest.api.compute.servers.test_delete_server.DeleteServersTestJSON.test_delete_server_while_in_attached_volume
tempest.api.compute.servers.test_server_rescue_negative.ServerRescueNegativeTestJSON.test_rescued_vm_detach_volume
tempest.api.compute.servers.test_server_rescue.ServerRescueTestJSON

tempest.api.compute.servers.test_attach_interfaces.AttachInterfacesTestJSON.test_add_remove_fixed_ip

tempest.api.compute.servers.test_multiple_create.MultipleCreateTestJSON.test_multiple_create

tempest.api.compute.servers.test_servers.ServersTestJSON.test_update_server_name

tempest.api.compute.certificates.test_certificates.CertificatesV2TestJSON.test_create_root_certificate

tempest.api.compute.floating_ips.test_floating_ips_actions.FloatingIPsTestJSON
tempest.api.compute.floating_ips.test_list_floating_ips.FloatingIPDetailsTestJSON

tempest.api.object_storage.test_container_sync_middleware.ContainerSyncMiddlewareTest.test_container_synchronization

tempest.api.orchestration.stacks.test_nova_keypair_resources.NovaKeyPairResourcesYAMLTest

tempest.api.orchestration.stacks.test_volumes.CinderResourcesTest.test_cinder_volume_create_delete
tempest.api.orchestration.stacks.test_volumes.CinderResourcesTest.test_cinder_volume_create_delete_retain
tempest.api.orchestration.stacks.test_environment.StackEnvironmentTest.test_environment_parameter
tempest.api.orchestration.stacks.test_environment.StackEnvironmentTest.test_environment_provider_resource
tempest.api.orchestration.stacks.test_environment.StackEnvironmentTest.test_files_provider_resource
tempest.api.orchestration.stacks.test_non_empty_stack.StacksTestJSON
tempest.api.orchestration.stacks.test_nova_keypair_resources.NovaKeyPairResourcesAWSTest
tempest.api.orchestration.stacks.test_resource_types.ResourceTypesTest.test_resource_type_list
tempest.api.orchestration.stacks.test_swift_resources.SwiftResourcesTestJSON
tempest.api.orchestration.stacks.test_templates.TemplateAWSTestJSON
tempest.api.orchestration.stacks.test_templates.TemplateYAMLTestJSON
tempest.api.orchestration.stacks.test_stacks.StacksTestJSON.test_stack_crud_no_resources

tempest.api.image.v2.test_images_metadefs_namespace_properties.MetadataNamespacePropertiesTest.test_basic_meta_def_namespace_property
tempest.api.image.v2.test_images_metadefs_namespaces.MetadataNamespacesTest.test_basic_metadata_definition_namespaces
tempest.api.image.v2.test_images_metadefs_resource_types.MetadataResourceTypesTest.test_basic_meta_def_resource_type_association


tempest.api.telemetry.test_telemetry_notification_api.TelemetryNotificationAPITestJSON.test_check_glance_v1_notifications
tempest.api.telemetry.test_telemetry_notification_api.TelemetryNotificationAPITestJSON.test_check_glance_v2_notifications
tempest.api.telemetry.test_telemetry_notification_api.TelemetryNotificationAPITestJSON.test_check_nova_notification

tempest.api.network.test_networks.BulkNetworkOpsIpV6TestJSON.test_bulk_create_delete_subnet
tempest.api.network.test_ports.PortsIpV6TestJSON.test_create_update_port_with_second_ip
tempest.api.network.test_ports.PortsIpV6TestJSON.test_update_port_with_security_group_and_extra_attributes
tempest.api.network.test_ports.PortsIpV6TestJSON.test_update_port_with_two_security_groups_and_extra_attributes

tempest.api.volume.admin.test_volumes_backup.VolumesBackupsTest.test_volume_backup_create_get_detailed_list_restore_delete

tempest.scenario.test_dashboard_basic_ops.TestDashboardBasicOps.test_basic_scenario

tempest.scenario.test_encrypted_cinder_volumes.TestEncryptedCinderVolumes.test_encrypted_cinder_volumes_cryptsetup
tempest.scenario.test_encrypted_cinder_volumes.TestEncryptedCinderVolumes.test_encrypted_cinder_volumes_luks
tempest.scenario.test_minimum_basic.TestMinimumBasicScenario.test_minimum_basic_scenario
tempest.scenario.test_network_advanced_server_ops.TestNetworkAdvancedServerOps.test_server_connectivity_pause_unpause
tempest.scenario.test_network_advanced_server_ops.TestNetworkAdvancedServerOps.test_server_connectivity_reboot
tempest.scenario.test_network_advanced_server_ops.TestNetworkAdvancedServerOps.test_server_connectivity_rebuild
tempest.scenario.test_network_advanced_server_ops.TestNetworkAdvancedServerOps.test_server_connectivity_suspend_resume
tempest.scenario.test_network_basic_ops.TestNetworkBasicOps.test_hotplug_nic
tempest.scenario.test_network_basic_ops.TestNetworkBasicOps.test_network_basic_ops
tempest.scenario.test_security_groups_basic_ops.TestSecurityGroupsBasicOps.test_cross_tenant_traffic
tempest.scenario.test_security_groups_basic_ops.TestSecurityGroupsBasicOps.test_in_tenant_traffic
tempest.scenario.test_volume_boot_pattern.TestVolumeBootPattern.test_volume_boot_pattern
tempest.scenario.test_volume_boot_pattern.TestVolumeBootPatternV2.test_volume_boot_pattern
tempest.scenario.test_volume_boot_pattern.TestVolumeBootPattern.test_boot_server_from_encrypted_volume_luks
tempest.scenario.test_security_groups_basic_ops.TestSecurityGroupsBasicOps.test_multiple_security_groups
tempest.scenario.test_security_groups_basic_ops.TestSecurityGroupsBasicOps.test_port_security_disable_security_group
tempest.scenario.test_network_basic_ops.TestNetworkBasicOps.test_port_security_macspoofing_port
tempest.scenario.test_security_groups_basic_ops.TestSecurityGroupsBasicOps.test_port_update_new_security_group
tempest.scenario.test_server_basic_ops.TestServerBasicOps.test_server_basic_ops
tempest.scenario.test_shelve_instance.TestShelveInstance.test_shelve_instance
tempest.scenario.test_shelve_instance.TestShelveInstance.test_shelve_volume_backed_instance
tempest.scenario.test_snapshot_pattern.TestSnapshotPattern.test_snapshot_pattern
tempest.scenario.test_object_storage_telemetry_middleware.TestObjectStorageTelemetry.test_swift_middleware_notifies

ceilometer.tests.tempest.scenario.test_object_storage_telemetry_middleware.TestObjectStorageTelemetry.test_swift_middleware_notifies
ceilometer.tests.tempest.api.test_telemetry_notification_api.TelemetryNotificationAPITest.test_check_glance_v1_notifications
ceilometer.tests.tempest.api.test_telemetry_notification_api.TelemetryNotificationAPITest.test_check_glance_v2_notifications
ceilometer.tests.tempest.api.test_telemetry_notification_api.TelemetryNotificationAPITest.test_check_nova_notification
ceilometer.tests.tempest.api.test_telemetry_notification_api.TelemetryNotificationAdminAPITest.test_check_nova_notification_event_and_meter

neutron.tests.tempest.api.test_trunk
neutron.tests.tempest.api.test_trunk_negative

heat_integrationtests.functional.test_create_update_neutron_trunk.UpdateTrunkTest.test_add_a_second_sub_port
heat_integrationtests.functional.test_create_update_neutron_trunk.UpdateTrunkTest.test_add_first_sub_port
heat_integrationtests.functional.test_create_update_neutron_trunk.UpdateTrunkTest.test_remove_last_sub_port_from_trunk
heat_integrationtests.functional.test_create_update_neutron_trunk.UpdateTrunkTest.test_remove_sub_port_from_trunk
heat_integrationtests.functional.test_create_update_neutron_trunk.UpdateTrunkTest.test_update_existing_sub_port_on_trunk
heat_integrationtests.functional.test_create_update_neutron_trunk.UpdateTrunkTest.test_update_trunk_name_and_description
heat_integrationtests.functional.test_software_config.ZaqarSignalTransportTest.test_signal_queues
